curl --request GET \
--url https://{cluster}.cognitedata.com/api/v1/projects/{project}/files/icon \
--header 'Authorization: Bearer <token>'"<string>"Required capabilities:
filesAcl:READOr
dataModelsAcl:READ(scope spaceId:cdf_cdm) anddataModelInstancesAcl:READ
The GET /files/icon operation can be used to get an image representation of a file.
Either id or externalId must be provided as a query parameter (but not both). Supported file formats:
Please note that this endpoint is subject to the new throttling policy, which imposes limits on both request rate and concurrency. For more details, please refer to the Files resource documentation.
curl --request GET \
--url https://{cluster}.cognitedata.com/api/v1/projects/{project}/files/icon \
--header 'Authorization: Bearer <token>'"<string>"Access token issued by the CDF project's configured identity provider. Access token must be an OpenID Connect token, and the project must be configured to accept OpenID Connect tokens. Use a header key of 'Authorization' with a value of 'Bearer $accesstoken'. The token can be obtained through any flow supported by the identity provider.
A server-generated ID for the object.
1 <= x <= 9007199254740991The external ID provided by the client. Must be unique for the resource type.
255"my.known.id"
1 - 43^[a-zA-Z][a-zA-Z0-9_-]{0,41}[a-zA-Z0-9]?$1 - 255^[a-zA-Z]([a-zA-Z0-9_]{0,253}[a-zA-Z0-9])?$Thumbnail image (JPEG)
The response is of type file.
Was this page helpful?